Change log for timblserver package in Ubuntu

110 of 10 results
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Published in zesty-release on 2016-10-18
Published in yakkety-release on 2016-08-08
Deleted in yakkety-proposed (Reason: moved to release)
timblserver (1.11-1) unstable; urgency=medium

  [ Maarten van Gompel ]
  * new upstream;  missed 1.9, 1.10
  * debian/watch: updated to point to github (make dist tarballs)
  * debian/copyright: upstream source link + bumped dates
  * debian/control: updated dependency versions
  * debian/control: added myself as uploader
  * debian/control: updated standards version
  * debian/control: updated Homepage

  [ Joost van Baal-Ilić ]
  * Acknowledge NMU 1.8-1-1; thanks Andreas Beckmann and Breno Leitao.
  * debian/control: use https in Vcs URLs.

 -- Joost van Baal-Ilić <email address hidden>  Sat, 06 Aug 2016 16:15:27 +0200

Available diffs

Superseded in yakkety-release on 2016-08-08
Published in xenial-release on 2016-02-02
Deleted in xenial-proposed (Reason: moved to release)
timblserver (1.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_autoreconf.  (Closes: #752795)
  * libtimblserver4-dev: Add Provides: libtimblserver-dev to ease future
    transitions.
  * Upload to unstable.

 -- Andreas Beckmann <email address hidden>  Sat, 30 Jan 2016 06:19:18 +0100

Available diffs

Superseded in wily-proposed on 2015-08-08
timblserver (1.7-4build1) wily; urgency=medium

  * No-change rebuild against libticcutils2v5

 -- Steve Langasek <email address hidden>  Fri, 07 Aug 2015 22:34:35 +0000

Available diffs

Superseded in xenial-release on 2016-02-02
Published in wily-release on 2015-08-12
Deleted in wily-proposed (Reason: moved to release)
timblserver (1.8-1) experimental; urgency=low

  * New upstream release.
    - Fixes "timblserver: FTBFS in unstable: error: 'class Timbl::GetOptClass'
      has no member named 'getLogFile'. Thanks James Cowgill for reporting.
      (Closes: #775850)
    - debian/control: change Build-Depends libticcutils2-dev from >= 0.3 to
      >= 0.7.
  * debian/control: migrated version control from Subversion to git (still on
    Debian's Alioth).  Thanks Jeremy T. Bouse.
    - change obsolete SVN Id and URL tags in files to git information.
  * debian/control: explicitly list automake as Build-Depends.
  * .gitignore: added: do not track generated files.
  * We ship libtimblserver4, not libtimblserver3:
    - debian/{libtimblserver2-dev,libtimblserver2}.install: removed, we ship
      libtimblserver4.
    - debian/libtimblserver*.install: renamed
      {libtimblserver3-dev,libtimblserver3}.install to
      {libtimblserver4-dev,libtimblserver4}.install.
    - debian/libtimblserver4.install: do not install
      /usr/lib/libtimblserver.so.3*, do install /usr/lib/libtimblserver.so.4*
    - debian/control: binary package timblserver no longer depends upon
      libtimblserver3 but upon libtimblserver4.
  * debian/control: Standards-Version upgraded from policy 3.9.4 to 3.9.6
    (no other changes needed).
  * debian/NEWS: removed since did not contain any news worthy items.

 -- Joost van Baal-Ilić <email address hidden>  Mon, 15 Jun 2015 20:39:14 +0200
Superseded in wily-release on 2015-08-12
Published in vivid-release on 2014-10-23
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
timblserver (1.7-4) unstable; urgency=low


  * debian/control: change Build-Depends "libtimbl4-dev | libtimbl-dev"
    in "libtimbl4-dev": on second thought, we decided not to go for
    unversioned libtimbl-dev.  See also Bug#718503: "release.debian.org:
    transition: timbl".
  * debian/control: change Build-Depends "libticcutils2-dev |
    libticcutils-dev" in "libticcutils2-dev (>=0.3)": on second thought, we
    decided not to go for unversioned libticcutils-dev.  See also Bug#718501:
    "release.debian.org: transition: ticcutils".
  * debian/libtimblserver3-dev.install, debian/libtimblserver-dev.install,
    debian/control: rename libtimblserver-dev to libtimblserver3-dev.  Upstream
    cannot guarantee strong compatibility yet.  This fixes (part of) "mbtserver:
    FTBFS: unsatisfiable build-dependencies: libtimblserver3-dev, libmbt1-dev".
    Thanks Lucas Nussbaum (Closes: #713119).  It fixes "Bug#721495: mbtserver:
    Wrong order of build-depends". Thanks Kurt Roeckx (Closes: #721495).
  * debian/control: Standards-Version upgraded from policy 3.9.3 to 3.9.4 (no
    other changes needed: section 8.6 is mostly not applicable to us: we keep
    using shlibs files, not symbols, since we build from C++ sources).
  * debian/watch: make sure no longer matches "*-latest.tar.gz", thanks
    Bart Martens.

 -- Joost van Baal-Ilić <email address hidden>  Sun, 08 Sep 2013 12:34:29 +0200

Available diffs

Superseded in saucy-release on 2013-09-14
Deleted in saucy-proposed on 2013-09-19 (Reason: moved to release)
timblserver (1.7-3) unstable; urgency=low


  * debian/libtimblserver-dev.install, debian/libtimblserver3-dev.install,
    debian/control: rename libtimblserver3-dev to unversioned
    libtimblserver-dev.
  * debian/control: change Build-Depends "libtimbl4-dev, libticcutils2-dev"
    to "libtimbl4-dev | libtimbl-dev, libticcutils2-dev | libticcutils-dev":
    prepare for upcoming unversioned -dev packages.

 -- Joost van Baal-Ilić <email address hidden>  Sat, 15 Jun 2013 13:25:15 +0200

Available diffs

Superseded in saucy-release on 2013-07-04
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
timblserver (1.6-2) unstable; urgency=low


  * debian/control: more strict libtimbl3-dev build-dependency: from 6.4.2
    to 6.4.3.
  * debian/control: clean up run time dependency libtimbl3: now (>= 6.4.2).
  * debian/control: removed obsolete field DM-Upload-Allowed.  See
    https://lists.debian.org/debian-devel-announce/2012/09/msg00008.html .
  * debian/control: Uploaders: update my name.

 -- Joost van Baal-Ilić <email address hidden>  Sat, 29 Dec 2012 20:34:36 +0100

Available diffs

Superseded in raring-proposed on 2012-12-30
timblserver (1.6-1) unstable; urgency=low


  * New Upstream Release.
  * debian/control: now refer to Standards-Verion 3.9.3, added dependency
     on libticcutils1-dev

 -- Ko van der Sloot <email address hidden>  Thu, 11 Oct 2012 15:41:28 +0200
Superseded in raring-release on 2012-12-30
Obsolete in quantal-release on 2015-04-24
timblserver (1.4-2) unstable; urgency=low


  * debian/source: added; updated package to use 3.0 source format.
  * debian/control: added conflict timblserver 1.2-4, now that we ship
    separate libtimblserver and libtimblserver-dev packages.
  * debian/NEWS: remove entries duplicated from upstream
    /usr/share/doc/timblserver/NEWS.gz.
  * renamed libtimblserver to libtimblserver2 and libtimblserver-dev to
    libtimblserver2-dev:
    - debian/control, debian/libtimblserver.install,
      debian/libtimblserver2.install, debian/libtimblserver-dev.install,
      debian/libtimblserver-dev.install: packagenames changed
    - debian/lintian-overrides: removed: issues non-dev-pkg-with-shlib-symlink
      and package-name-doesnt-match-sonames now solved.

 -- Joost van Baal-Ilić <email address hidden>  Thu, 29 Dec 2011 09:41:29 +0100

Available diffs

Superseded in quantal-release on 2012-05-01
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
timblserver (1.2-4) unstable; urgency=low

  * debian/control: make libtimbl3-dev build-depends versioned.  Thanks
    Nobuhiro Iwamatsu (Closes: #620892).

110 of 10 results